[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.WMHelp

Handles the LM_HELP window message for the form.

## Declaration

Source position: forms.pp line 609

`protected procedure TCustomForm.WMHelp(`
`var Message: TLMHelp`
`); message;`

## Arguments

`Message` |  | Message examined in the method.

## Description

No actions are performed in the method at design-time, or when values have not been assigned to the HelpInfo member in Message.

When HelpInfo has a HELPINFO_WINDOW context type, FindControl is called to locate and display the help for the control with the item handle in Message. When HELPINFO_MENUITEM is the context type, GetHelpContext in Menu is called to locate the control ID in Message. If not found, the item handle in Message is used. As a default, the value in the Context property is used to display the context help.